Loading...
Searching...
No Matches
QGpgME::QGpgMESignEncryptArchiveJob Class Reference
Inheritance diagram for QGpgME::QGpgMESignEncryptArchiveJob:
[legend]
Collaboration diagram for QGpgME::QGpgMESignEncryptArchiveJob:
[legend]

## Public Member Functions

| QGpgMESignEncryptArchiveJob (GpgME::Context *context)
GpgME::Error | start (const std::vector< GpgME::Key > &signers, const std::vector< GpgME::Key > &recipients, const std::vector< QString > &paths, const std::shared_ptr< QIODevice > &cipherText, const GpgME::Context::EncryptionFlags flags) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< SignEncryptArchiveJob, QGpgMESignEncryptArchiveJobPrivate, std::tuple< GpgME::SigningResult, GpgME::EncryptionResult, QString, GpgME::Error > >
void | run ()
Public Member Functions inherited from QGpgME::SignEncryptArchiveJob
void | setSigners (const std::vector< GpgME::Key > &signers)
std::vector< GpgME::Key > | signers () const
void | setRecipients (const std::vector< GpgME::Key > &recipients)
std::vector< GpgME::Key > | recipients () const
void | setInputPaths (const std::vector< QString > &paths)
std::vector< QString > | inputPaths () const
void | setOutputFile (const QString &path)
QString | outputFile () const
void | setEncryptionFlags (GpgME::Context::EncryptionFlags flags)
GpgME::Context::EncryptionFlags | encryptionFlags () const
void | setBaseDirectory (const QString &baseDirectory)
QString | baseDirectory () const
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< SignEncryptArchiveJob, QGpgMESignEncryptArchiveJobPrivate, std::tuple< GpgME::SigningResult, GpgME::EncryptionResult, QString, GpgME::Error > >
typedef ThreadedJobMixin< SignEncryptArchiveJob, QGpgMESignEncryptArchiveJobPrivate, std::tuple< GpgME::SigningResult, GpgME::EncryptionResult, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::SigningResult, GpgME::EncryptionResult, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::SignEncryptArchiveJob
void | fileProgress (int current, int total)
void | dataProgress (int current, int total)
void | result (const GpgME::SigningResult &signingResult, const GpgME::EncryptionResult &encryptionResult, const QString &auditLogAsHtml={}, const GpgME::Error &auditLogError={})
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::SignEncryptArchiveJob
static bool | isSupported ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< SignEncryptArchiveJob, QGpgMESignEncryptArchiveJobPrivate, std::tuple< GpgME::SigningResult, GpgME::EncryptionResult, QString, GpgME::Error > >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::SignEncryptArchiveJob
| SignEncryptArchiveJob (std::unique_ptr< SignEncryptArchiveJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## start()

GpgME::Error QGpgMESignEncryptArchiveJob::start | ( | const std::vector< GpgME::Key > & | signers,
|  | const std::vector< GpgME::Key > & | recipients,
|  | const std::vector< QString > & | paths,
|  | const std::shared_ptr< QIODevice > & | cipherText,
|  | const GpgME::Context::EncryptionFlags | flags )

override virtual

Starts the creation of an encrypted signed archive.

Creates an encrypted signed archive with the files and directories in paths. The archive is signed with the keys in signers or with the default key, if signers is empty. Then the archive is encrypted for the keys in recipients. If recipients is empty, then symmetric encryption is performed. The encrypted signed archive is written to cipherText.

Emits result() when the job has finished.

Implements QGpgME::SignEncryptArchiveJob.

The documentation for this class was generated from the following files:

- qgpgmesignencryptarchivejob.h
- qgpgmesignencryptarchivejob.cpp